Package org.apache.xmlbeans.impl.xb.xmlconfig

## Interface JavaNameList.Member

- All Superinterfaces:
    `XmlAnySimpleType`, `XmlNormalizedString`, `XmlObject`, `XmlString`, `XmlToken`, `XmlTokenSource`
  All Known Implementing Classes:
    `JavaNameListImpl`, `JavaNameListImpl.MemberImpl`
  Enclosing interface:
    JavaNameList

      public static interface JavaNameList.Member
      extends XmlToken

  An anonymous inner XML type. This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xmlconfig.JavaNameList$Member.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `JavaNameList.Member.Enum` | Enumeration value class for org.apache.xmlbeans.impl.xb.xmlconfig.JavaNameList$Member.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<JavaNameList.Member>` | `Factory` |
    `static int` | `INT_X` |
    `static SchemaType` | `type` |
    `static JavaNameList.Member.Enum` | `X` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StringEnumAbstractBase` | `getEnumValue()` |
    `void` | `setEnumValue​(StringEnumAbstractBase e)` |

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<JavaNameList.Member> Factory

    - #### type

          static final SchemaType type

    - #### X

          static final JavaNameList.Member.Enum X

    - #### INT_X

          static final int INT_X

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEnumValue

          StringEnumAbstractBase getEnumValue()

    - #### setEnumValue

          void setEnumValue​(StringEnumAbstractBase e)